Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Signal Class Reference

Base class for the C++ signal interface. More...

`#include <inti/signals.h>`

Inheritance diagram for Inti::Signal:

List of all members.

## Public Member Functions

- Signal ()
    Constructor.
- virtual ~Signal ()
    Destructor.
- SlotNode * connect (const Slot *slot)
    Creates a new SlotNode for slot and adds it to the connection_list.

## Protected Types

- typedef std::vector< SlotNode * > ConnectionList
    ConnectionList type.

## Protected Attributes

- ConnectionList connection_list
    A list of all the slots connected to the signal.

## Detailed Description

Base class for the C++ signal interface.

The documentation for this class was generated from the following file:

- signals.h

Main Page - Footer